Skip to main content
GET
/
automations
/
related-to
/
{resource_id}
Read Automations Related To Resource
curl --request GET \
  --url https://api.example.com/automations/related-to/{resource_id}
import requests

url = "https://api.example.com/automations/related-to/{resource_id}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/automations/related-to/{resource_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "name": "<string>",
    "trigger": {
      "type": "event",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "match": {},
      "match_related": {},
      "after": [
        "<string>"
      ],
      "expect": [
        "<string>"
      ],
      "for_each": [
        "<string>"
      ],
      "threshold": 1,
      "within": 0
    },
    "actions": [
      {
        "type": "do-nothing"
      }
    ],
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created": "2023-11-07T05:31:56Z",
    "updated": "2023-11-07T05:31:56Z",
    "description": "",
    "enabled": true,
    "tags": [
      "<string>"
    ],
    "actions_on_trigger": [
      {
        "type": "do-nothing"
      }
    ],
    "actions_on_resolve": [
      {
        "type": "do-nothing"
      }
    ]
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Headers

x-prefect-api-version
string

Path Parameters

resource_id
string
required

Response

Successful Response

name
string
required

The name of this automation

trigger
EventTrigger · object
required

A trigger that fires based on the presence or absence of events within a given period of time.

actions
(DoNothing · object | RunDeployment · object | PauseDeployment · object | ResumeDeployment · object | CancelFlowRun · object | DeleteFlowRun · object | ChangeFlowRunState · object | PauseWorkQueue · object | ResumeWorkQueue · object | SendNotification · object | CallWebhook · object | PauseAutomation · object | ResumeAutomation · object | SuspendFlowRun · object | ResumeFlowRun · object | PauseWorkPool · object | ResumeWorkPool · object)[]
required

The actions to perform when this Automation triggers

Do nothing when an Automation is triggered

id
string<uuid>
required
created
string<date-time> | null
required
updated
string<date-time> | null
required
description
string
default:""

A longer description of this automation

enabled
boolean
default:true

Whether this automation will be evaluated

tags
string[]

A list of tags associated with this automation

actions_on_trigger
(DoNothing · object | RunDeployment · object | PauseDeployment · object | ResumeDeployment · object | CancelFlowRun · object | DeleteFlowRun · object | ChangeFlowRunState · object | PauseWorkQueue · object | ResumeWorkQueue · object | SendNotification · object | CallWebhook · object | PauseAutomation · object | ResumeAutomation · object | SuspendFlowRun · object | ResumeFlowRun · object | PauseWorkPool · object | ResumeWorkPool · object)[]

The actions to perform when an Automation goes into a triggered state

Do nothing when an Automation is triggered

actions_on_resolve
(DoNothing · object | RunDeployment · object | PauseDeployment · object | ResumeDeployment · object | CancelFlowRun · object | DeleteFlowRun · object | ChangeFlowRunState · object | PauseWorkQueue · object | ResumeWorkQueue · object | SendNotification · object | CallWebhook · object | PauseAutomation · object | ResumeAutomation · object | SuspendFlowRun · object | ResumeFlowRun · object | PauseWorkPool · object | ResumeWorkPool · object)[]

The actions to perform when an Automation goes into a resolving state

Do nothing when an Automation is triggered